$(function(){
	$.each( $("#clmLayer").find(".clmGroup"), function( idx ) {
		$(this).sortable({
		items		: $(this).find(".sortItem")
		,overlap	: "horizontal"
		,constraint	: "horizontal"
		,stop		:
			function() {
				makeDispClms()
			}
		});
	});

	$("#clmLayer").find("input[type=checkbox]").blur( function(){ makeDispClms(); } );
});

function makeDispClms() {
	var dispClms = "";
	var groups = $(".clmGroup");
	$.each( groups, function( idx ) {
		if( idx > 0 ) { dispClms += '|' }
		var items = $(this).find(".sortItem");
		$.each( items, function( idx2 ) {
			if( idx2 > 0 ) { dispClms += ',' }
			if( $(this).find("input[type=checkbox]:checked").length == 0 ) {
				dispClms += '!';
			}
			dispClms += $(this).attr("name");
		});
	});

	if( dispClms != "" ) {
		$("#dispClms").val( dispClms );
	}
}